<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/estado_reclamo.php';
$response = array();

if (!isset($_POST['activo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$activo = $_POST['activo'];

$estados_reclamo = EstadoReclamo::mdlGetEstadosReclamo($activo);

if (!$estados_reclamo) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron estados de reclamo';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $estados_reclamo;

echo json_encode($response);
